GDAL

Public Member Functions | List of all members
OGRDefaultConstGeometryVisitor Class Reference

OGRGeometry visitor default implementation. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRDefaultConstGeometryVisitor:

## Public Member Functions
void | visit (const OGRPoint *) override
| Visit OGRPoint.
void | visit (const OGRLineString *) override
| Visit OGRLineString.
void | visit (const OGRLinearRing *) override
| Visit OGRLinearRing.
void | visit (const OGRPolygon *) override
| Visit OGRPolygon.
void | visit (const OGRMultiPoint *) override
| Visit OGRMultiPoint.
void | visit (const OGRMultiLineString *) override
| Visit OGRMultiLineString.
void | visit (const OGRMultiPolygon *) override
| Visit OGRMultiPolygon.
void | visit (const OGRGeometryCollection *) override
| Visit OGRGeometryCollection.
void | visit (const OGRCircularString *) override
| Visit OGRCircularString.
void | visit (const OGRCompoundCurve *) override
| Visit OGRCompoundCurve.
void | visit (const OGRCurvePolygon *) override
| Visit OGRCurvePolygon.
void | visit (const OGRMultiCurve *) override
| Visit OGRMultiCurve.
void | visit (const OGRMultiSurface *) override
| Visit OGRMultiSurface.
void | visit (const OGRTriangle *) override
| Visit OGRTriangle.
void | visit (const OGRPolyhedralSurface *) override
| Visit OGRPolyhedralSurface.
void | visit (const OGRTriangulatedSurface *) override
| Visit OGRTriangulatedSurface.

## Detailed Description

OGRGeometry visitor default implementation.

This default implementation will recurse down to calling visit(const OGRPoint*) on each point.

Since
  GDAL 2.3

## Member Function Documentation

## ◆ visit() [1/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCircularString * |  | ) |
| override virtual

Visit OGRCircularString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [2/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCompoundCurve * |  | ) |
| override virtual

Visit OGRCompoundCurve.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [3/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCurvePolygon * |  | ) |
| override virtual

Visit OGRCurvePolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [4/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRGeometryCollection * |  | ) |
| override virtual

Visit OGRGeometryCollection.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [5/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRLinearRing * |  | ) |
| override virtual

Visit OGRLinearRing.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [6/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRLineString * |  | ) |
| override virtual

Visit OGRLineString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [7/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiCurve * |  | ) |
| override virtual

Visit OGRMultiCurve.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [8/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiLineString * |  | ) |
| override virtual

Visit OGRMultiLineString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [9/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiPoint * |  | ) |
| override virtual

Visit OGRMultiPoint.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [10/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiPolygon * |  | ) |
| override virtual

Visit OGRMultiPolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [11/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiSurface * |  | ) |
| override virtual

Visit OGRMultiSurface.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [12/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPoint * |  | ) |
| inline override virtual

Visit OGRPoint.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [13/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPolygon * |  | ) |
| override virtual

Visit OGRPolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [14/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPolyhedralSurface * |  | ) |
| override virtual

Visit OGRPolyhedralSurface.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [15/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRTriangle * |  | ) |
| override virtual

Visit OGRTriangle.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [16/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRTriangulatedSurface * |  | ) |
| override virtual

Visit OGRTriangulatedSurface.

Implements IOGRConstGeometryVisitor.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrgeometry.cpp